Bug 248095 - Evince is excuriatingly slow
Evince is excuriatingly slow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 03:34 EDT by Pete Zaitcev
Modified: 2008-02-19 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.21.91-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 18:57:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2007-07-13 03:34:19 EDT
I had to read Firewire docs for the last two weeks, and I just can't take
it anymore. Each page scroll in evince takes about a second. It's pure
insanity. Kristian, please do something.

For now I had to install xpdf and all the garbage that it pulls:
lesstif, libpaper, t1lib, libXp, poppler-utils. The xpdf works ok.
I would love nothing more than to use evince, but I just can't.

Unfortunately, I don't know when this started happening, I don't read
PDF documents that often. Current version is evince-0.9.1-1.fc8.

It is slow on all documents, not just SBP-2 and OHCI specs.

This is what top shows:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2328 root      20   0  139m  40m 9416 R 88.1  4.6  15:56.13 X
 4471 zaitcev   20   0  414m  80m  32m S 10.6  9.2   0:27.47 evince

So the 90% of the time is in the X server.
Comment 1 Matthias Clasen 2007-07-24 12:45:46 EDT
CCing Carl, who is doing related performance work right now.
Comment 2 Pete Zaitcev 2008-02-19 18:58:05 EST
Closed as working in 2.21.91-1.fc9. I verified the performance using
the same documents, same hardware etc.

Note You need to log in before you can comment on or make changes to this bug.